Bug 835858 - Cannot convert a vmdk image to a virt-image image file through virt-convert.
Cannot convert a vmdk image to a virt-image image file through virt-convert.
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 06:18 EDT by Geyang Kong
Modified: 2014-07-06 15:31 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-07 12:00:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug output (2.29 KB, text/plain)
2012-06-27 06:18 EDT, Geyang Kong
no flags Details

  None (edit)
Description Geyang Kong 2012-06-27 06:18:15 EDT
Created attachment 594744 [details]
Debug output

Description of problem:
  Cannot convert a vmdk image to a virt-image image file through virt-convert.

Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6

How reproducible:
100%

Steps to Reproduce:
1. Make sure there is a vmdk image and related vmx file.(you can get it by converting from a virt-image file by using #virt-convert -i virt-image -o vmx $xml-file)
2. Run #virt-convert -i vmx -o virt-image $vmx-file -D raw
3. Run #qemu-img info $image-file

Actual results:
1. The output is:
image: T2.img
file format: vmdk
virtual size: 6.0G (6442450944 bytes)
disk size: 2.6G

Expected results:
1. After step 3, result should be
image: T2.img
file format: raw
virtual size: 6.0G (6442450944 bytes)
disk size: 2.7G

Additional info:
Comment 2 Cole Robinson 2013-04-21 15:12:22 EDT
virtinst has been merged into virt-manager.git. Moving all virtinst bugs to the virt-manager component.
Comment 4 Cole Robinson 2014-02-07 12:00:37 EST
Soon to be upstream virt-convert has been massively reworked, and this bug is no longer relevant.

Note You need to log in before you can comment on or make changes to this bug.